"ignoring attempt to close tbody with table" warning in hosts controller tests

01/13/2016 11:30 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3072

  

Description

Some invalid HTML in the hosts page is causing warnings while running hosts controller tests.

ignoring attempt to close tbody with table

  opened at byte 19234, line 277

  closed at byte 19244, line 278

  attributes at open: {}

  text around open: "td>\n      </tr>\n    <tbody>\n  </table>\n\n" 

  text around close: "</tr>\n    <tbody>\n  </table>\n\n  <div cla" 

Associated revisions

Revision 64786b4c - 01/14/2016 04:26 AM - Dominic Cleal

fixes #13180 - correct closing tbody HTML tag

History

#1 - 01/13/2016 11:31 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3072 added

#2 - 01/14/2016 05:03 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 64786b4ce702d1a6fa1b6f293eebd2d77ae2d6d3.

#3 - 01/14/2016 05:43 AM - Dominic Cleal

- translation missing: en.field_release set to 71
